using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.Linq;
using System.Data.Linq.Mapping;
namespace LinqSqlEpisodeIProVid
{
    class Program
    {
        static void Main(string[] args)
        {
            NorthwindDataClassesDataContext northwindContext = new NorthwindDataClassesDataContext();
            Table<Customer> customers = northwindContext.GetTable<Customer>();

            var londonCustomer = from cust in customers
                                 where cust.City == "London"
                                 select cust;
            foreach (var item in londonCustomer)
            {
                Console.WriteLine("Contact Name: {0}, Compnay Name: {1}", item.ContactName, item.CompanyName);
            }

            Console.ReadKey();
        }
    }
}
